<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] ?: array()) + array("_2acee844826294512" . "44aab96a01623cd" => base64_decode("cm9" . "vbQ" . "=="), "_1044ad6ec3f2b15" . "d20a3b7353cfb4d0" . "2" => base64_decode("U0VMRUNUIENPVU5UKCopIEZST00gcmJfb2Jq" . "IFdIRVJFIHBpZD1pbnQ6aWQ="), "_8695e37b2f8" . "e63ab89c4690" . "8290193ec" => base64_decode("c2VsZWN0IHJiX2xpbmtzLm9ial9pZCBmcm9tIHJiX2xpbmtzLCByYl9vYmogd2hlcmUgcmJfbGlua3" . "MudmFsPWludDppZCBhbmQgcmJfb2JqLnR5cGU9J2ZhYycgYW5kIHJiX29iai5pc19zdXNwZW5kZWQ9" . "MCBhbmQgcmJfbGlua3Mub2JqX2lkPXJiX29iai5pZCBhbmQgcmJfbGlua3MuYm9va2luZz1pbnQ6Ym" . "9va2luZw=="), "_f318226b856b8a65f18" . "26300a281617b" => base64_decode("REVMRVRFIEZST00gcmJfbGlua3MgV0hFUkUgdmFsPWludD" . "ppZCBBTkQgdHlwZT0ncm9vbScgQU5EIGJvb2tpbmc9aW50" . "OmJvb2tpbmc="), "_5b81cb6cf0bf" . "d990583fc12dd" . "d80cd32" => base64_decode("Zm" . "Fj"), "_e98bb44779e" . "2719d990b125" . "23648e307" => base64_decode("U0VMRUNUIGlkIEZST00gcmJfZXZl" . "bnRzIFdIRVJFIHBpZCA9IC0xIEFO" . "RCByb29tX2lkID0gaW50Omlk"), "_b3a356a0e2582249" . "702c68be9887158b" => base64_decode("KGludDppZD" . "EsICdyb29t" . "JywgaW50Om" . "lkMiwgMCk="), "_934da0e4d27867b72605f2f2a" . "82ddad0" => base64_decode("KGludDppZDEsIHN0cjprZXksIGludDppZ" . "DIsIDAp"));
class RBRoom extends RBMainClass
{
    public function __construct($_876ca2097b275e704d71e00d36b3e7c5, $name = 'EmptyName')
    {
        parent::__construct($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_2acee844826294512" . "44aab96a01623cd"], $_876ca2097b275e704d71e00d36b3e7c5, $name);
    }
    public function Load($id)
    {
        parent::Load($id);
        $this->_loadFacilities();
    }
    protected function _loadFacilities()
    {
        global $db;
        $query = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_8695e37b2f8e" . "63ab89c469082" . "90193ec"];
        $_189840d11056515e52402d1412a0b6e4 = $db->query($query, $this->id, $this->booking);
        while (list($id) = $_189840d11056515e52402d1412a0b6e4->fetchRow()) {
            $this->AddObj($id, $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_5b81cb6cf0b" . "fd990583fc12" . "ddd80cd32"]);
        }
    }
    protected function _createObjInsertString($key, $id)
    {
        if ($key == $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_5b81cb6cf0bfd990583fc12dd" . "d80cd32"]) {
            return new QueryPart($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_b3a356a0e258224" . "9702c68be9887158" . "b"], $id, $this->id);
        }
        return new QueryPart($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_934da0e4d27867b72605f2f2a82" . "ddad0"], $this->id, $key, $id);
    }
    protected function _updateObjList()
    {
        global $db;
        $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_f318226b8" . "56b8a65f18" . "26300a2816" . "17b"], $this->id, $this->booking);
        parent::_updateObjList();
    }
    function Delete($_ef6f2587bed6ce140025395807730533 = false)
    {
        global $db;
        $_343a395319323dd7609bcbc465b4d034 = $db->query($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_e98bb44779e2719d990b1252" . "3648e307"], $this->id)->fetchAllValues();
        foreach ((array) $_343a395319323dd7609bcbc465b4d034 as $id) {
            $this->_facade->DeleteEvent($id);
        }
        parent::Delete();
    }
    public function isEmpty()
    {
        global $db;
        list($_f53d35a1a1e233d98d9ce73d92ab3bb1) = $db->query_row($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_1044ad6ec3f2b15d20a3b7" . "353cfb4d02"], $this->id);
        return $_f53d35a1a1e233d98d9ce73d92ab3bb1 < 1;
    }
}